package com.jasamedika.medifirst2000.dao.custom;

import java.util.List;
import java.util.Map;

/**
 * 
 * @author Roberto
 */
public interface CssdReturDaoCustom {

	Map<String, Object> findPenerimaanHeaderByNoRec(String noRec);

	List<Map<String, Object>> findPenerimaanDetailByNoRec(String noRec);

	Double findSumRetur(String noRec);

	String findNoKirim(String noRec);

	List<Map<String, Object>> listReturCssdList(int rowStart, int rowEnd, String sort, String dir, String tanggalAwal,
			String tanggalAhir, Integer produkId, Integer jenisProdukId, Integer kelompokProdukId, Integer supplierId,
			Integer kelompokTransaksiId);

	int listReturCssdCount(String tanggalAwal, String tanggalAhir, Integer produkId, Integer jenisProdukId,
			Integer kelompokProdukId, Integer supplierId, Integer kelompokTransaksiId);
	
}
